Bug 492672 - --no-content-disposition option aborts wget
--no-content-disposition option aborts wget
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: wget (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Karsten Hopp
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 18:48 EDT by Bryan Mason
Modified: 2016-03-22 09:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from upstream. (592 bytes, patch)
2009-03-27 18:48 EDT, Bryan Mason
no flags Details | Diff

  None (edit)
Description Bryan Mason 2009-03-27 18:48:57 EDT
Created attachment 337075 [details]
Proposed patch from upstream.

Description of problem:

    Using the "--no-content-disposition" option with wget aborts.

Version-Release number of selected component (if applicable):

    wget-1.10.2-7.el5.x86_64
    
How reproducible:

    100%

Steps to Reproduce:

    1.  wget --no-content-disposition www.redhat.com
  
Actual results:

    $ wget --no-content-disposition www.redhat.com
    wget: init.c:612: setval_internal: Assertion `0 <= comind && comind < 
    (sizeof (commands) / sizeof ((commands)[0]))' failed.
    Aborted

Expected results:

    $ wget --no-content-disposition www.redhat.com
    --15:45:44--  http://www.redhat.com/
    Resolving www.redhat.com... 209.132.177.50
    Connecting to www.redhat.com|209.132.177.50|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 13056 (13K) [text/html]
    Saving to: `index.html'

    100%[=======================================>] 13,056    --.-K/s   in 0.1s

    15:45:45 (108 KB/s) - `index.html' saved [13056/13056]

Additional info:

    Fixed upstream:
        http://addictivecode.org/svn/wget?view=rev&revision=2176

    Patch attached.    I've verified that the patch fixes the issue.
Comment 1 Phil Knirsch 2009-04-20 08:51:29 EDT
As we're rebasing wget for RHEL-5.4 this will automatically get fixed.

Granting Devel ACK. As we're still pre-Beta i'm not requesting an Exception yet.

Thanks & regards, Phil
Comment 6 errata-xmlrpc 2009-09-02 05:38:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1280.html

Note You need to log in before you can comment on or make changes to this bug.